Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch
Class Constants

    java.lang.Object
      org.deegree.portal.owswatch.Constants

    public final class Constants

extends Object

Constants class for owsWatch

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  ncho, last edited by: $Author: jmays $

Field Summary
`static String` | `ACTIVE` Indicates whether this service should be refreshed each refreshrate or not
`static String` | `HTTP_METHOD` HttpMethod type GET or POST
`static String` | `INTERVAL` Refresh rate minutes
`static String` | `ONLINE_RESOURCE` Server to send the requests to
`static String` | `PROTOCOL_PATH` The path to write the protocol
`static String` | `REQUEST_TYPE` GetCapabailities, GetMap, etc...
`static String` | `SERVICE_MONITOR` The main element name
`static String` | `SERVICE_NAME`
`static String` | `SERVICE_TYPE` WMS,WFS, etc..
`static String` | `SESSIONID_KEY` SessionID key
`static String` | `TIMEOUT_KEY` Timeout of the request in seconds
`static String` | `VERSION` Service version
`static String` | `XML_REQUEST` XMLRequest Element for POST requests

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_MONITOR

    public static final String SERVICE_MONITOR

  The main element name

  See Also:
    Constant Field Values

### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### SERVICE_TYPE

    public static final String SERVICE_TYPE

  WMS,WFS, etc..

  See Also:
    Constant Field Values

### REQUEST_TYPE

    public static final String REQUEST_TYPE

  GetCapabailities, GetMap, etc...

  See Also:
    Constant Field Values

### INTERVAL

    public static final String INTERVAL

  Refresh rate minutes

  See Also:
    Constant Field Values

### TIMEOUT_KEY

    public static final String TIMEOUT_KEY

  Timeout of the request in seconds

  See Also:
    Constant Field Values

### ONLINE_RESOURCE

    public static final String ONLINE_RESOURCE

  Server to send the requests to

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  Service version

  See Also:
    Constant Field Values

### ACTIVE

    public static final String ACTIVE

  Indicates whether this service should be refreshed each refreshrate or not

  See Also:
    Constant Field Values

### PROTOCOL_PATH

    public static final String PROTOCOL_PATH

  The path to write the protocol

  See Also:
    Constant Field Values

### XML_REQUEST

    public static final String XML_REQUEST

  XMLRequest Element for POST requests

  See Also:
    Constant Field Values

### HTTP_METHOD

    public static final String HTTP_METHOD

  HttpMethod type GET or POST

  See Also:
    Constant Field Values

### SESSIONID_KEY

    public static final String SESSIONID_KEY

  SessionID key

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org